Bug 243577 - x11-toolkits/wxgtk31 needs gtk2 flavor
Summary: x11-toolkits/wxgtk31 needs gtk2 flavor
Status: New
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Some People
Assignee: Yuri Victorovich
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2020-01-24 23:54 UTC by Jack
Modified: 2020-08-05 23:21 UTC (History)
2 users (show)

See Also:
bugzilla: maintainer-feedback? (yuri)


Attachments
Boxes overlapping (290.49 KB, image/jpeg)
2020-07-26 01:59 UTC, Jack
no flags Details
Mouse pointer click going to incorrect box (272.23 KB, image/jpeg)
2020-07-26 02:00 UTC, Jack
no flags Details
Fixed toolbar layout (2.42 KB, patch)
2020-07-26 13:38 UTC, VVD
no flags Details | Diff
Fixed toolbar minimum size (436 bytes, patch)
2020-07-26 13:39 UTC, VVD
no flags Details | Diff
audio/audacity: fixed toolbar overlaping (3.46 KB, patch)
2020-07-27 04:55 UTC, VVD
vvd: maintainer-approval? (xxjack12xx)
Details | Diff
Noto Sans 10 with default config (238.18 KB, image/jpeg)
2020-07-31 09:18 UTC, Jack
no flags Details
default audacity startup with patch applied (270.51 KB, image/jpeg)
2020-08-03 03:11 UTC, Jack
no flags Details

Note You need to log in before you can comment on or make changes to this bug.
Description Jack 2020-01-24 23:54:02 UTC
wxgtk was moved from gtk2 to gtk3 and gtk2 support was dropped but some ports still require wxgtk3 to be build with gtk2 support. Audacity is completely broken and unstable with wxgtk31 built with gtk3 support. According to wxgtk's website, the default is gtk2 not gtk3.

https://docs.wxwidgets.org/3.1.3/plat_gtk_install.html
Note that by default, GTK+ 2.x is used. GTK+ 3 can be specified with –with-gtk=3.

And the instructions to build audacity requires gtk2 support and gtk3 support renders the ui broken.

https://www.audacityteam.org/download/source/

The wxWidgets library is required. Audacity 2.3.3 requires wxGTK 3.1.x, preferably 3.1.1. If you compile wxWidgets yourself it should be built with the default gtk2 option, not with gtk3.

Please add back gtk2 support.
Comment 1 Yuri Victorovich freebsd_committer 2020-01-25 00:03:14 UTC
Isn't GTK2 EOLed?
Comment 2 Jack 2020-01-25 00:19:50 UTC
(In reply to Yuri Victorovich from comment #1)
No, gtk2 is still very much still needed

https://www.gtk.org/download/linux.php
Some applications still require GTK 2, an older stable version of GTK.
Comment 3 VVD 2020-07-24 12:43:59 UTC
(In reply to Jack from comment #0)
> Audacity is completely broken and unstable with wxgtk31 built with gtk3 support.
Work stable for me.
Comment 4 Jack 2020-07-24 18:55:50 UTC
(In reply to VVD from comment #3)
Current version works now but fonts and interface are warped/things go off the screen.
Comment 5 VVD 2020-07-25 06:51:11 UTC
(In reply to Jack from comment #4)
Look fine for me…
Can you show screenshots, please?
Comment 6 Jack 2020-07-26 01:59:40 UTC
Created attachment 216770 [details]
Boxes overlapping
Comment 7 Jack 2020-07-26 02:00:34 UTC
Created attachment 216771 [details]
Mouse pointer click going to incorrect box
Comment 8 VVD 2020-07-26 13:38:24 UTC
Created attachment 216779 [details]
Fixed toolbar layout
Comment 9 VVD 2020-07-26 13:39:04 UTC
Created attachment 216780 [details]
Fixed toolbar minimum size

Copy both files in /usr/ports/audio/audacity/files/ and then rebuild audacity.
Comment 10 VVD 2020-07-26 13:42:37 UTC
If this help, plz, report upstream: https://bugzilla.audacityteam.org/enter_bug.cgi

And don't set so huge font size.
Comment 11 Jack 2020-07-26 23:34:21 UTC
I'll try that and report upstream if it works. I can't change font size in audacity, it just makes the fonts huge for some reason.
Comment 12 Jack 2020-07-27 02:47:29 UTC
That seemed to have fixed the device toolbar overlap, thanks. Reported it upstream.
Comment 13 VVD 2020-07-27 04:44:21 UTC
(In reply to Jack from comment #12)
> Reported it upstream.
Can't find it - post, plz, link.
Comment 14 VVD 2020-07-27 04:55:46 UTC
Created attachment 216792 [details]
audio/audacity: fixed toolbar overlaping

Plz, rename issue to something like: "audio/audacity: fixed toolbar overlaping".

> I can't change font size in audacity, it just makes the fonts huge for some reason.
At my host font look fine - normal size. It's your host configuration.
Comment 15 Jack 2020-07-27 05:38:41 UTC
(In reply to VVD from comment #13)
I sent an email to the audacity-devel mailing list. Currently discussing what to do.
Comment 16 Jack 2020-07-27 06:25:12 UTC
Uploaded a video of what the patches do

https://www.youtube.com/watch?v=h2x0nxqtwDM
Comment 17 VVD 2020-07-27 06:58:03 UTC
(In reply to Jack from comment #15)
> I sent an email to the audacity-devel mailing list. Currently discussing what to do.
Found it: https://sourceforge.net/p/audacity/mailman/audacity-devel/?viewmonth=202007&style=flat

Can you show the default toolbar layout?
In file ~/.audacity-data/audacity.cfg remove section:
[GUI/ToolBars/Device]
DockV2=1
Dock=1 
Path=1
Show=1
X=-1 
Y=-1
H=27
W=883

Run audacity and make screenshot.

Try to set "Noto Sans 10pt" font in your DE's configuration. I'm using KDE5.
And what is value of the font dpi you are using?
On one host I have 96 - look very clear and on other 108 - a little buggy, but not as on your screenshots.
Comment 18 Jack 2020-07-31 09:18:31 UTC
Created attachment 216903 [details]
Noto Sans 10 with default config

Just removed the section in audacity.cfg and changed font to Noto Sans 10. DPI is default which is likely 96.

Previously, was using Monospace 14.

This view is with the patches applied.
Comment 19 VVD 2020-07-31 10:34:20 UTC
(In reply to Jack from comment #18)
It isn't default toolbar layout.
Comment 20 Jack 2020-07-31 10:44:06 UTC
(In reply to VVD from comment #19)
With this below

Can you show the default toolbar layout?
In file ~/.audacity-data/audacity.cfg remove section:
[GUI/ToolBars/Device]
DockV2=1
Dock=1 
Path=1
Show=1
X=-1 
Y=-1
H=27
W=883

Run audacity and make screenshot.
Comment 21 VVD 2020-08-01 13:49:25 UTC
(In reply to Jack from comment #20)
mv ~/.audacity-data ~/.audacity-data.bak
audacity
Comment 22 Jack 2020-08-03 03:11:12 UTC
Created attachment 216972 [details]
default audacity startup with patch applied

mv ~/.audacity-data ~/.audacity-data.bak
audacity
Comment 23 VVD 2020-08-05 07:54:33 UTC
Look good! Except font size…
Comment 24 Jack 2020-08-05 23:21:05 UTC
I guess we'll leave the gtk2 feature dropped since it seems to be ok until audacity can fix it.